{
  jekyll, jekyllPackages, tailwindWithTypography
, stdenv
}:

stdenv.mkDerivation {
  pname = "moxxyv2-website";
  version = "20230618";
  src = ./../.;

  buildInputs = [
    jekyll jekyllPackages tailwindWithTypography
  ];
  
  buildPhase = ''
    ${jekyll}/bin/jekyll build --future
    cp -r ./assets _site/assets
    ${tailwindWithTypography}/bin/tailwindcss --input ./input.css --output ./_site/assets/css/index.css
  '';

  installPhase = ''
    mkdir -p $out/srv/www/
    mv _site/ $out/srv/www/website
  '';
}
